VTK: vtkExodusIIReaderVariableCheck Class Reference

| VTK 9.0.1

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkExodusIIReaderVariableCheck Class Referenceabstract

Abstract base class for glomming arrays of variable names. More...

`#include <vtkExodusIIReaderVariableCheck.h>`

Inheritance diagram for vtkExodusIIReaderVariableCheck:
[legend]

## Public Member Functions
virtual bool | Start (std::string name, const int *truth, int numTruth)
| Initialize a sequence of names. Returns true if any more names are acceptable. More...
virtual bool | StartInternal (std::string name, const int *truth, int numTruth)=0
| Subclasses implement this and returns true if any more names are acceptable. More...
virtual bool | Add (std::string name, const int *truth)=0
| Add a name to the sequence. Returns true if any more names may be added. More...
virtual std::vector< std::string >::size_type | Length ()
| Returns the length of the sequence (or 0 if the match is incorrect or incomplete). More...
virtual int | Accept (std::vector< vtkExodusIIReaderPrivate::ArrayInfoType > &arr, int startIndex, vtkExodusIIReaderPrivate *priv, int objtyp)
| Accept this sequence. (Add an entry to the end of arr.) Must return Length(). More...

## Protected Member Functions
| vtkExodusIIReaderVariableCheck ()
virtual | ~vtkExodusIIReaderVariableCheck ()
bool | CheckTruth (const int *truth)
| Utility that subclasses may call from within Add() to verify that the new variable is defined on the same objects as other variables in the sequence. More...
bool | UniquifyName (vtkExodusIIReaderPrivate::ArrayInfoType &ainfo, std::vector< vtkExodusIIReaderPrivate::ArrayInfoType > &arrays)

## Protected Attributes
int | GlomType
std::vector< int > | SeqTruth
std::string | Prefix
std::vector< std::string > | OriginalNames

## Detailed Description

Abstract base class for glomming arrays of variable names.

Subclasses check whether variable names listed in an array of names are related to each other (and should thus be glommed into a single VTK array).

Definition at line 19 of file vtkExodusIIReaderVariableCheck.h.

## Constructor & Destructor Documentation

## ◆ vtkExodusIIReaderVariableCheck()

vtkExodusIIReaderVariableCheck::vtkExodusIIReaderVariableCheck | ( |  | ) |
| protected

## ◆ ~vtkExodusIIReaderVariableCheck()

virtual vtkExodusIIReaderVariableCheck::~vtkExodusIIReaderVariableCheck | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ Start()

virtual bool vtkExodusIIReaderVariableCheck::Start | ( | std::string | name,
|  | const int * | truth,
|  | int | numTruth
| ) |  |
| virtual

Initialize a sequence of names. Returns true if any more names are acceptable.

## ◆ StartInternal()

virtual bool vtkExodusIIReaderVariableCheck::StartInternal | ( | std::string | name,
|  | const int * | truth,
|  | int | numTruth
| ) |  |
| pure virtual

Subclasses implement this and returns true if any more names are acceptable.

Implemented in vtkExodusIIReaderIntPointCheck, vtkExodusIIReaderTensorCheck, vtkExodusIIReaderVectorCheck, and vtkExodusIIReaderScalarCheck.

## ◆ Add()

virtual bool vtkExodusIIReaderVariableCheck::Add | ( | std::string | name,
|  | const int * | truth
| ) |  |
| pure virtual

Add a name to the sequence. Returns true if any more names may be added.

Implemented in vtkExodusIIReaderScalarCheck, vtkExodusIIReaderTensorCheck, vtkExodusIIReaderVectorCheck, and vtkExodusIIReaderIntPointCheck.

## ◆ Length()

virtual std::vector<std::string>::size_type vtkExodusIIReaderVariableCheck::Length | ( |  | ) |
| virtual

Returns the length of the sequence (or 0 if the match is incorrect or incomplete).

Reimplemented in vtkExodusIIReaderIntPointCheck, vtkExodusIIReaderTensorCheck, and vtkExodusIIReaderVectorCheck.

## ◆ Accept()

virtual int vtkExodusIIReaderVariableCheck::Accept | ( | std::vector< vtkExodusIIReaderPrivate::ArrayInfoType > & | arr,
|  | int | startIndex,
|  | vtkExodusIIReaderPrivate * | priv,
|  | int | objtyp
| ) |  |
| virtual

Accept this sequence. (Add an entry to the end of arr.) Must return Length().

## ◆ CheckTruth()

bool vtkExodusIIReaderVariableCheck::CheckTruth | ( | const int * | truth | ) |
| protected

Utility that subclasses may call from within Add() to verify that the new variable is defined on the same objects as other variables in the sequence.

## ◆ UniquifyName()

bool vtkExodusIIReaderVariableCheck::UniquifyName | ( | vtkExodusIIReaderPrivate::ArrayInfoType & | ainfo,
|  | std::vector< vtkExodusIIReaderPrivate::ArrayInfoType > & | arrays
| ) |  |
| protected

## Member Data Documentation

## ◆ GlomType

int vtkExodusIIReaderVariableCheck::GlomType
| protected

Definition at line 44 of file vtkExodusIIReaderVariableCheck.h.

## ◆ SeqTruth

std::vector<int> vtkExodusIIReaderVariableCheck::SeqTruth
| protected

Definition at line 45 of file vtkExodusIIReaderVariableCheck.h.

## ◆ Prefix

std::string vtkExodusIIReaderVariableCheck::Prefix
| protected

Definition at line 46 of file vtkExodusIIReaderVariableCheck.h.

## ◆ OriginalNames

std::vector<std::string> vtkExodusIIReaderVariableCheck::OriginalNames
| protected

Definition at line 47 of file vtkExodusIIReaderVariableCheck.h.

The documentation for this class was generated from the following file:

- IO/Exodus/vtkExodusIIReaderVariableCheck.h